package com.unis.base.server.dao;

import com.unis.base.common.vo.ReversePositionVo;
import com.unis.base.server.entity.DCxxsjDo;
import com.unis.base.server.entity.SYdsjDO;
import com.unis.base.server.example.DCxxsjExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author ceshi
 * @Title: ${file_name}
 * @Package ${package_name}
 * @Description: ${}
 * @date 2019/10/3119:37
 */
public interface ReversePositionDao {

    int countByExample(DCxxsjExample example);

    int deleteByExample(DCxxsjExample example);

    int deleteByPrimaryKey(String dcdbm);

    int insert(DCxxsjDo record);

    int insertSelective(DCxxsjDo record);

    List<DCxxsjDo> selectByExample(DCxxsjExample example);

    DCxxsjDo selectByPrimaryKey(String dcdbm);

    int updateByExampleSelective(@Param("record") DCxxsjDo record, @Param("example") DCxxsjExample example);

    int updateByExample(@Param("record") DCxxsjDo record, @Param("example") DCxxsjExample example);

    int updateByPrimaryKeySelective(DCxxsjDo record);

    int updateByPrimaryKey(DCxxsjDo record);

    List<DCxxsjDo> findPageList(ReversePositionVo reversePositionVo);
}
